//输入 api 请求的结果， 输入标准的 {data,count}
var formatListResult = function formatListResult(result) {
  return {
    list: (result === null || result === void 0 ? void 0 : result.data) || (result === null || result === void 0 ? void 0 : result.list) || [],
    count: (result === null || result === void 0 ? void 0 : result.count) || 0
  };
};

// 格式化请求参数
var formatListParams = function formatListParams(params) {
  return {
    page: (params === null || params === void 0 ? void 0 : params.page) || 1,
    pageSize: (params === null || params === void 0 ? void 0 : params.pageSize) || 10
  };
};
export { formatListParams, formatListResult };